# lumi-g-test

Simple MPI-tool to check sanity of LUMI-G environment at runtime. Testcase is:
- MPI application with 8 MPI ranks (equal to number of GPUs on a node)
- OpenMP cycles: 7 OMP threads
- uses `hip` for GPU-related tests

We check that: 
- build is OK
- environment setting and runtime configuration is OK 
- bandwidth charachteristics on 2 nodes are OK

What we do at runtime:
- print CPU core affinity info for each rank, for each thread in OpenMP region
- print NIC affinity info for the first rank
- print GPU affinity info for each rank
- STREAM test on GPU (per rank, on all cards simultaneously)
- Bandwidth H2D/D2H test for GPUs (per rank, on all cards simultaneously, pinned and pageable)
- Bandwidth of simple MPI p2p exchange (per rank, on all ranks cards simultaneously)
    - using GPU memory 
    - using CPU memory
    - unidirectional
    - bidirectional

